Create a product
https://api.radom.com/product/createAuthorization
Send your API key in the Authorization header. Scheme: radomToken.
Request body
namestringrequiredName for the product.
descriptionstringrequiredProduct description.
addOnsNewAddOn[]nullable
Additional cost add ons for the product.
namestringrequiredName of the add on.
pricenumber<float>requiredPrice of the add on.
chargingIntervalSecondsinteger<int64>nullable>= 0Frequency of subscription payments.
currencyCurrencyrequiredUSDCADGBPEURAEDINRSEKBRLNZDAUDHKDNOKDKKJPYCNYCHFSGDPLNMXNCZKHUFZARSARRUBTRYILSUSDCUSDTEURCBTCTEST0ETHBNBSOLTRXAVAXMATICpricenumber<float>required>= 0Price of product (either one time payment or susbcription charge).
imagestring<binary>nullableImage to use for the product.
meteredBudgetnumber<float>nullable>= 0Metered budget for this product.
meteredChargingIntervalinteger<int64>nullable>= 0Metered charging interval for this product.
allowanceDurationinteger<int64>nullable>= 0Used to determine max allowance based on charging interval and price
sendSubscriptionEmailsbooleannullableproductTypeProductTypenullable
PresalePresalerequired
TokenTokenPresalerequired
tickerstringrequireddecimalsinteger<int32>required>= 0Responses
200Product created successfully
idstring<uuid>requiredUnique identifier for the product.
namestringrequiredName of the product.
descriptionstringrequiredProduct description.
productTypeProductTypenullable
PresalePresalerequired
TokenTokenPresalerequired
tickerstringrequireddecimalsinteger<int32>required>= 0organizationIdstring<uuid>requiredProduct's owning organization ID.
addOnsAddOn[]required
Additional cost add ons for the product.
idstring<uuid>requiredUnique identifier for the add on.
namestringrequiredName of the add on.
pricenumber<float>requiredPrice of the add on.
chargingIntervalSecondsinteger<int64>required>= 0Frequency of subscription payments.
currencyCurrencyrequiredUSDCADGBPEURAEDINRSEKBRLNZDAUDHKDNOKDKKJPYCNYCHFSGDPLNMXNCZKHUFZARSARRUBTRYILSUSDCUSDTEURCBTCTEST0ETHBNBSOLTRXAVAXMATICpricenumber<float>required>= 0Product price (either one time payment or susbcription charge).
imageUrlstringrequiredURL of image to use for the product.
createdAtstring<date-time>requiredTime at which product was created.
updatedAtstring<date-time>requiredTime at which product was last updated.
isArchivedbooleanrequiredTrue if product is archived on dashboard
sendSubscriptionEmailsbooleannullable400Bad Request
errorstringrequired401Unauthorized
errorstringrequired500Internal server error
errorstringrequired